Subject: bug#31369: xwidget-webkit-browse-url gives blank widget on URL without protocol

From: Andrew Yoon <[email-masked]>
Date: Sat, 5 May 2018 00:50:18 -0400

When launching the webkit browser using `M-x xwidget-webkit-browse-url`
with a
URL such as `gnu.org`, an xwidget buffer with a blank, white background is
loaded. Entering `https://gnu.org` works as expected.

In my case, I thought this was indicative of a configuration error and went
on a
pretty deep dive trying to build latest emacs and checking all my GTK
libraries,
but after someone on IRC suggested I try adding a protocol and it worked, I
believe this is just an elisp error.

I think either an error should be emitted on URLs lacking protocol
specifications or (preferably) the URL would be resolved to a protocol
automatically.

Seen both on emacs 25.3.50.1 and on 2018-05-04 snapshot (around
a2003f9663e5649894b05695f7f2b11a3fa96339)

Andrew Yoon